package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaPricePromotionCreateRequest struct {
	/*
	   档期活动参数     */
	PromotionActivityDo *domain.AlibabaPricePromotionCreatePromotionActivityDo `json:"promotion_activity_do" required:"true" `
}

func (s *AlibabaPricePromotionCreateRequest) SetPromotionActivityDo(v domain.AlibabaPricePromotionCreatePromotionActivityDo) *AlibabaPricePromotionCreateRequest {
	s.PromotionActivityDo = &v
	return s
}

func (req *AlibabaPricePromotionCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.PromotionActivityDo != nil {
		paramMap["promotion_activity_do"] = util.ConvertStruct(*req.PromotionActivityDo)
	}
	return paramMap
}

func (req *AlibabaPricePromotionCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
